NAND_WRITE_PAGE(9)

NAME
nand_write_page - [REPLACEABLE] write one page

SYNOPSIS

int nand_write_page(struct mtd_info * mtd, struct nand_chip * chip, uint32_t offset, int data_len, const uint8_t * buf, int oob_required, int page, int cached, int raw);

ARGUMENTS

mtd
    MTD device structure

chip
    NAND chip descriptor

offset
    address offset within the page

data_len
    length of actual data to be written

buf
    the data to write

oob_required
    must write chip->oob_poi to OOB

page
    page number to write

cached
    cached programming

raw
    use _raw version of write_page

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT